T_312007270006
Tray-HQ 1.6

Inhalt:

Über Tray-HQ

Installationshinweise

Übersicht aller Funktionen

History/Bekannte Fehler

(leider nur englisch, bin halt faul...)


Inhalt

Tray-HQ 1.5

Inhalt:

Über Tray-HQ

Installationshinweise

Übersicht aller Funktionen

History/Bekannte Fehler

(leider nur englisch, bin halt faul...)


Ueber

Tray-HQ bindet sich in ihre Taskleiste neben der Uhr ein, und bietet schnellen Zugriff auf oft gebrauchte Tools. Ich habe es geschrieben, weil meine eigene Taskleiste immer voller Programme und Icons war, und ich einfach nur ein wenig aufräumen wollte, indem ich alles unter einer Oberfläche vereine.

Tray-HQ ist Freeware. Sie sollten bei regelmäßiger Nutzung aber eine Spende ihrer Wahl in Betracht ziehen!

Um Kontakt zu mir aufzunehmen, schreiben sie eine e-Mail an bischo@aol.com, besuchen sie meine Internet-Seiten unter http://members.aol.com/bischo6639/index.html, oder schreiben sie an:

Björn Ischo

Friesenstraße 24

D-20097 Hamburg

Lizenzbestimmungen:

Der Autor Björn Ischo übernimmt grundsätzlich keine Haftung für durch die Nutzung der Software entstandene  Schäden, sei es durch unsachgemäße Bedienung oder durch Fehler in der Programmierung. Desweitern übernimmt der Autor keine Garantie für die Funktionalität der Software. Tray-HQ darf frei kopiert werden, solange keine Veränderungen vorgenommen werden. Dies beeinhaltet ausdrücklich die Verbreitung durch CD-ROMs, Mailboxen etc.


funktionen
Tray-HQ bindet sich in Ihre Taskleiste ein, und bietet auf ‘Knopfdruck’ verschiedene Tools. Durch einen Linksklick auf das Symbol wird das Hauptfenster von Tray-HQ gezeigt, durch einen Rechtsklick können sie verschiedene Windows-Funktionen aufrufen. Dazu gehört das Starten des Explorers, des Registry Editors, des in der Systemstellung eingestellten Bildschirmschoners sowie der Systemsteuerung selbst. Außerdem kann die Tray-HQ Funktion ‘Zwischenablage abfangen’ ein- und ausgeschaltet werden (siehe unten).

Das Hauptfenster besteht aus 6 Registerkarten, die jeweils ein Utility darstellen. Die Utilities im einzelnen:

Der Notizblock:

Dieser Notizblock kann alle ASCII-Texte öffen und drucken, und kann veränderte bzw. neue Texte speichern. Alle Funktionen des Notizblock’s sind über ein Menü zu erreichen, das durch einen Klick mit der rechten Maustaste aufgerufen wird.

Der Taschenrechner:

Ein einfacher, aber auch sehr kompakter Taschenrechner mit einer Genauigkeit von 18-20 Nachkommastellen. Ich habe mich nun, mit Version 1.5, entschloßen, das klassische Taschenrechner-Outfit mit vielen bunten Knöpfen durch ein zugegebenermaßen etwas nüchternes Eingabefeld zu ersetzen. In dieses geben sie die Rechnung ein, und durch drücken der Return-Taste erhalten sie im Feld darunter das Ergebniss - Zum Beispiel schreiben sie oben 2+2 , und unten steht 4 ... :))

Etwas weiter unten findet sich ein Kasten, in dem sie häufig benutzte Zahlen (wie z.B. ihren Monatslohn oder so) als Variablen eintragen können - sie können in ihre Formeln dann ganz einfach diese Variablen einbauen, die natürlich gespeichert werden. Die Variable PI ist bereits definiert und läßt sich nicht ändern.

Der Taschenrechner unterstützt folgende Funktionen und  Operatoren:

  Operatoren: + , - , * , / , ^ , MOD, DIV

  [ MOD und DIV entsprechen den jeweiligen Funktionen in Pascal ]

  Funktionen (Groß-/Kleinschreibung is' wurscht):

    MIN, MAX,

    COS, SIN, SINH, COSH, EXP, LN, ARCTAN,

    SQRT, ABS,

    HEAV /  SIGN /  ZERO (boolsche Werte)

    PH (ph(x) = x - 2*pi*round(x/2/pi))

    RND (RND(x) = x * Zufallszahl)

Die Stopuhr:

Die Stopuhr kann sowohl als Stopuhr als auch als Countdown benutzt werden. Wenn der Countdown 0 erreicht hat, erscheint außerdem eine Meldung. Zusätzlich können sie eine Gebühr einstellen, die Abrechnung erfolgt nach Wahl je Sekunde, Minute oder Stunde. Das Menü der Stopuhr bietet die Möglichkeit, wahlweise die aktuelle Uhrzeit, die Zeit der Stopuhr oder die Gesamtgebühr in die Zwischenablage zu übernehmen. Die Stopuhr-Seite beeinhaltet desweiteren einen kleinen Kalender.

Das Zwischenablage-Tool:

Wenn die Option ‘Zwischenablage abfangen’ aktiviert ist, wird jeder neue Textinhalt der Zwischenablage mit Datum und Uhrzeit in das Textfenster dieser Registerkarte eingefügt. Somit steht ihnen eine ‘erweiterte’ Zwischenablage zur Verfügung, die es z.B. ermöglicht, kopierte oder ausgeschnittene Textpassagen mehrmals zu verwenden. Der Inhalt des Textfenster kann beliebig bearbeitet und auch ausgedruckt werden.

Das Adressbuch:

Das Adressbuch von Tray-HQ ist als kleine Gedächtnisstütze - zum schnellen Notieren von Telefonnummern, e-Mail Adressen etc. gedacht. Um Speicher zu sparen, speichert  es seine Datenbank in einem eigenen Format, und ist nicht kompatibel zu Dbase, Paradox oder Access. Die Gesamtgröße der Datenbank ist auf 64KB limitiert, dieses Limit dürfte bei sinngemäßem Einsatz aber kaum überschritten werden.

Die Schaltflächen im einzelnen: Mit den Pfeilen navigieren sie in den Datensätzen, mit Neu wird ein neuer Datensatz erzeugt, und mit Suchen kann ein Name / Teilname gesucht werden. Aufgrund der Struktur der Datenbank ist es bislang leider nicht möglich Datensätze zu löschen, sie können nur deren Inhalte überschreiben. Ach ja: ein Klick auf den Text ‘URL’ oder ‘e-mail’ startet ihren Browser, mit der URL/e-mail Adresse des Blattes als Adresse!

Die Einstellungen:

Diese Registerkarte bietet die Möglichkeit, daß Erscheinungsbild von Tray-HQ ihren Bedürfnisses anzupassen. Sie können die Sprache wählen (Deutsch oder Englisch), die Schriftgröße anpassen sowie die Eigenschaften des Hauptfensters beeinflußen. Die Optionen im einzelnen:

 ‘Immer im Vordergrund’: Bestimmt, ob Tray-HQ immer im Vordergrund bleibt, und somit nicht von anderen Fenstern verdeckt wird. Diese Option ist standardmäßig aktiviert

‘Mehrzeiliges Register’: Bestimmt, ob die Registerreiter einzeilig oder mehrzeilig angezeigt werden. Diese Option ist standardmäßig aktiviert.

 ‘Schrifthöhe’: Bestimmt die Höhe der Tray-HQ Schrift. -11 ist die Standardeinstellung, und kann bis zu einer Bildschirmauflösung von 1024*768 bedenkenlos beibehalten werden. Sollten sie Windows in einer höheren Auflösung nutzen, kann es angenehmer sein, die Größe auf -12 oder höher (max. -100) einzustellen. Sollte ihnen die Schrift zu groß erscheinen oder das Hauptfenster von Tray-HQ zu viel Platz auf ihrem Bildschirm brauchen, können sie die Schrift bis zu einem Wert von -1 verkleinern.

‘Sprache’: Hier stellen sie zum einen die Sprache des Programmes selbst ein, zum anderen bestimmt ihre Wahl, welche Hilfedatei angezeigt wird.

Alle Einstellungen werden gespeichert und bei nächsten Neustart wieder hergestellt.


Installation

Normalerweise wird empfohlen, das mitgelieferte Setup-Programm zu benutzen, um Tray-HQ zu installieren. Es liefert eine einfache Möglichkeit zum Uninstall gleich mit. Dieses Setup fügt keine Verknüpfung mit Tray-HQ in den Autostart-Ordner ein, das sollten sie per Hand machen.

Extrahieren sie das Programm selbst sowie alle beigefügten Dateien in ein Verzeichniss ihrer Wahl. Das Programm wird durch ausführen der Datei hqpro.exe gestartet. Tray-HQ kann auch automatisch beim Hochfahren gestartet werden, indem sie eine Verknüpfung mit dem Programm in den Autostart (engl. Windows: Startup)-Ordner ihres Startmenüs legen.

Um Tray-HQ zu deinstallieren, löschen sie alle Dateien im Ordner des Programmes, sowie die Dateien trayhq.ini sowie hqadr.dat aus dem Windows-Verzeichniss. Sollten sie die Autostart-Option aktiviert haben, so muß diese vor der Deinstallation ausgeschaltet werden. Sollten sie Probleme bei der Installation oder Deinstallation haben, schreiben sie mir eine e-Mail oder eine Brief mit adressiertem und frankiertem Rückumschlag.


History
NEW IN VERSION 1.6:

- The new "Clipbook Quick Access" function

- Hot Corners to activate the screensaver

- Roller button in the main window

- A few optical changes, as well as some smaller bugfixes.

NEW IN VERSION 1.5:

- The calendar is back due to heavy public request <g>. I got hundreds of mails that

  told me that the old-style calendar was nicer - it now it's really great! You can now

  enter multiple lines in a memo field for each day (I am definitly somehow proud of this<g>)

- The CD-Player now includes menu-items to open and close the device. The player used to

  check the CD-drive periodically for new CDs inserted when open, which causes some systems

  to seriously slow down.

- Replaced the Calculator by  handy editbox in which you type your expression, and it

  gives you the result when you press enter.

NEW IN VERSION 1.4:

- Removed the calendar and added a tiny one to the stop timer. This saved some space

  for the new tool, a simple audio cd-player that is accesseble via the pop-up menu of

  the tray icon. Also did some bugfixes.

NEW IN VERSION 1.34:

- Changed to outfit for a better look and feel

- Second address field added due to the many requests of US-Users

- Optimized the program for better english language support

NEW IN VERSION 1.33:

-The Clipboard capture nows supports saving and restoring

  often used collections of text.

NEW IN VERSION 1.32:

-Several minor changes and bugfixes

-Major changes to the notebook:

-Notebook now accepts dropped files

-Files larger then 32KB can now be opened

-Notebook now supports Tabs and WordWrap

NEW IN VERSION 1.3:

-The address book and the settings tab sheets.

-German Language Support

-Several minor changes...

NEW IN VERSION 1.2:

-The Clipboard Capture !

-The Notepad and Clipboard Capture  now have a printing option.

-By double-clicking on a date, u can enter  a one-liner that will be displayed when Tray-HQ is started on that   date.

-A new Launch-submenu for the tray icon,  that starts the regedit, controls, explorer or screensaver.

-The recent files' menu of the notepad now  stores 8 instead of 4 filenames.

-Stop Time now has an option for setting a charge

NEW IN VERSION 1.1:

- The buttons on the notepad have been removed  to save place and solve problems with some older graphics adapters. An undo-function -has been included in the notepad-menu.

- 1/x function for the calculator

- Clear Recent Files option

- Calculator now has a copy to clipboard function via the pop-up menu. It also has an option to use a . instead of a , now, for American users. You can now use the keys in this!

- Calendar has a new button that shows and jumps to the actual date

- Countdown now displays a messagebox when it has reached zero.

- Stop Time / Countdown shows it's current value as  tool-tip of the tray-icon.

- The filesize has been reduced by nearly a quarter!

KNOWN BUGS:

- On some systems, certain settings containing the tool-window borderstyle may cause major crashes, followed by error messages every time you start Tray-HQ. To get rid of this, please delete the file 'trayhq.ini' in your windows-directory.

-Tray-HQ stops the shutdown of Windows NT when active.

- Certain (mostly old ISA-bus) graphics adapters may cause the tab control to disappear

- Users in Sweden will have to live with the fact that their calender isn’t showing the actual date. Timezones are kind of strange... ;)